/*
 * Copyright (c) 2007-2008 Motorola, Inc. or its subsidiaries. 
 * All rights reserved.
 */


/**
 * Initialize the softkey menu   
 */
var listener = webui.softKeys.createListener(); // creates a listener...
listener.handle = handleSoftKeys; // ... and set the 'handleSoftKeys' function to handle softkey click
var menu = webui.softKeys.getActiveMenu();
menu.addListener(listener);


/**
 * Handles softkeys click
 * 
 * @param action String that defines the clicked item from softkey. 
 *				 Its defined on SKMenu.xml file.
 */
function handleSoftKeys(action) 
{
    if (action == STOPTIMER_ACTION) {
    	stopTimer();
    } else if (action == RESETTIMER_ACTION) {
    	resetTimer();
    } 
}
