function setLabelsCountTimer(hour, minute, second, tenthsecond) {
	var labelhournumber = document.getElementById('labelhournumber');
	hour = paddingLeft('' + hour, 2, '0');
	
	if(labelhournumber.innerHTML != hour) {
    	labelhournumber.innerHTML = hour;  
    }
    
    var labelminutenumber = document.getElementById('labelminutenumber');
    minute = paddingLeft('' + minute, 2, '0');
    
    if(labelminutenumber.innerHTML != minute) {
    	labelminutenumber.innerHTML = minute;
    }
    
    var labelsecondnumber = document.getElementById('labelsecondnumber');
    second = paddingLeft('' + second, 2, '0');
    
    if(labelsecondnumber.innerHTML != second) {
    	labelsecondnumber.innerHTML = second;
    }
    
    var labeltenthsecondnumber = document.getElementById('labeltenthsecondnumber');
    labeltenthsecondnumber.innerHTML = '';
}

function setLabelsCountTimerOnPauseStop(hour, minute, second, tenthsecond) {
	setLabelsCountTimer(hour, minute, second, tenthsecond);
	
	var labeltenthsecondnumber = document.getElementById('labeltenthsecondnumber');
    tenthsecond = '.' + tenthsecond;
    
    if(labeltenthsecondnumber.innerHTML != tenthsecond) {
    	labeltenthsecondnumber.innerHTML = tenthsecond;
    }
}

function setTenthSecondsLabelCountTimer(tenthsecond) {
	var labeltenthsecondnumber = document.getElementById('labeltenthsecondnumber');
    tenthsecond = '.' + tenthsecond;
    
    if(labeltenthsecondnumber.innerHTML != tenthsecond) {
    	labeltenthsecondnumber.innerHTML = tenthsecond;
    }
}

function setLabelsLiveconView(hour, minute, second, tenthsecond) {
	var label = document.getElementById('houricon');
	hour = paddingLeft('' + hour, 2, '0');
	
	if(label.innerHTML != hour) {
    	label.innerHTML = hour;
    }
    
    label = document.getElementById('minuteicon');
	minute = paddingLeft('' + minute, 2, '0');
	
	if(label.innerHTML != minute) {
    	label.innerHTML = minute;
    }
    
    label = document.getElementById('secondicon');
	second = paddingLeft('' + second, 2, '0');
	
	if(label.innerHTML != second) {
    	label.innerHTML = second;
    }
    
    label = document.getElementById('tenthsecondicon');
    label.innerHTML = '';
}

function setLabelsLiveconViewOnPauseStop(hour, minute, second, tenthsecond) {
	setLabelsLiveconView(hour, minute, second, tenthsecond);
	
	var label = document.getElementById('tenthsecondicon');
	tenthsecond = '.' + tenthsecond;
	
	if(label.innerHTML != tenthsecond) {
    	label.innerHTML = tenthsecond;
    }
}

function setTenthSecondsLabelLiveconView(tenthsecond) {
	var label = document.getElementById('tenthsecondicon');
	tenthsecond = '.' + tenthsecond;
	
	if(label.innerHTML != tenthsecond) {
    	label.innerHTML = tenthsecond;
    }
}


function createTableLine(lapString) {	
	var tableLaps = document.getElementById('tableLaps');
	
	if(tableLaps == undefined) {
		(getStyleClass(0, "scrollBar")).style.height = Number(getWindowSize().height - (getWindowSize().height * 0.65)) + "px";
		document.getElementById('hiddenObj').onblur = "javascript: document.getElementById('hiddenObj').focus();"; 
	
		var divLaps = document.getElementById('laps');
		//<table>
		tableLaps = document.createElement('table')
		tableLaps.setAttribute('id','tableLaps');
		tableLaps.className = 'tableLaps';
		divLaps.appendChild(tableLaps);
	}
	
	var tr = document.createElement('tr');
	var td = document.createElement('td');
		
	tr.setAttribute('id','lap' + lapCount);
	
	if(lapCount > 1) {
		var lastLap = lapCount - 1;
		var lastTr = document.getElementById('lap' + lastLap);
		
		var lastTd = document.getElementById('tdArrow' + lastLap);
		
		//<tr>
		tableLaps.insertBefore(tr, lastTr);
		
		var trLine = document.createElement('tr');
		var tdLine = document.createElement('td');
		tdLine.setAttribute('colspan', '1');
		var img = document.createElement('img');
		img.setAttribute('src', 'resource/images/list_dotted_line.png');	
		
		trLine.appendChild(tdLine);
		tdLine.appendChild(img);
		tableLaps.insertBefore(trLine, lastTr);
		
		//remove default lines in 2 and 3 laps
		if(lapCount == 2) {
			document.getElementById('linemiddle1').style.display = 'none';
		}
		if(lapCount == 3) {
			document.getElementById('linemiddle2').style.display = 'none';
		}
		
		if(lapCount > 3) {
			var divLapsContent = document.getElementById('lapscontent');
			var imgArrow = document.createElement('img');
			imgArrow.setAttribute('src', 'resource/images/arrow_up.png');
			imgArrow.setAttribute('class', 'scroll_up');
			imgArrow.setAttribute('onclick', 'scrollBar.scroll("up", 1);');
			
			var imgArrowDown = document.createElement('img');
			imgArrowDown.setAttribute('src', 'resource/images/arrow_down.png');
			imgArrowDown.setAttribute('class', 'scroll_down');
			imgArrowDown.setAttribute('onclick', 'scrollBar.scroll("down", 1);');	
			
			divLapsContent.appendChild(imgArrow);
			divLapsContent.appendChild(imgArrowDown);
		}
		
	} else {
		//<tr>
		tableLaps.appendChild(tr);
	}
		
	//<td> text
	tr.appendChild(td);
	tr.setAttribute('class','tr');
	
	var text = document.createTextNode(webui.i18n.localize("Lap") + ' ' + paddingLeft('' + lapCount, 2, '0') + ' - ' + lapString);
	td.appendChild(text);
}

function validateLapsNumber() {
	if(lapCount >= MAX_LAPS) {
	    document.getElementById('imgButton').src = 'resource/images/button_lap_disable.png';
	    return '0';
	}
	
	return '1';
}

function handleKeyDown(event) {		
	switch(event.keyCode)
	{
		case KEY_CODE_UP:
		case KEY_CODE_DOWN:
			scrollBar.keyDown(event.keyCode);			
			break;
		case KEY_CODE_CENTER:
			eventButton('down');
	}
}

function handleKeyUp(event) {
	switch(event.keyCode)
	{
		case KEY_CODE_CENTER:
			eventButton('up');
	}
}

function showView(view) {
	document.getElementById(LIVECON_VIEW).style.display = 'none';
	document.getElementById(LIVECON_INITIAL_VIEW).style.display = 'none';
	document.getElementById(COUNTTIMER_VIEW).style.display = 'none';
		
	document.getElementById(view).style.display = 'block';
}

function mouse(obj,event){

   // mouse click event
   var id = obj.id;
   
   if (obj && obj.id && obj.id == 'playButton') {
      
      // simulate center key 
      var keyEvent = new Object();
      keyEvent.keyCode = KEY_CODE_CENTER;
   
      // trigger key down and key up
      handleKeyDown(keyEvent);
      handleKeyUp(keyEvent);
   }
   
   // return the focus to keypad handler obj
   document.getElementById('hiddenObj').focus();
}

